Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Misc.DockerRemove Class Referencesealed
Inheritance diagram for Zwipe.Build.Misc.DockerRemove:
[legend]
Collaboration diagram for Zwipe.Build.Misc.DockerRemove:
[legend]

## Public Member Functions
override bool | Execute ()

## Properties
string | Executable`[get, set]`
string | Properties = string.Empty`[get, set]`
bool | UseSudo = false`[get, set]`
ITaskItem[] | Images`[get, set]`

## Private Member Functions
bool | Remove (string fileName, string arguments, string image, string properties)
void | OnStandardOutputReceived (string text)
void | OnStandardErrorReceived (string text)
IEnumerable< string > | GetTags (ITaskItem item)
IEnumerable< string > | GetRegistries (ITaskItem item)
string | GetImageName (ITaskItem item)
bool | Execute (string fileName, string argument)

## Static Private Attributes
const string | SudoExecutable = "sudo"
const char | Separator = ';'
const string | ProjectItemTagsTag = "Tags"
const string | ProjectItemRegistriesTag = "Registries"
const string | ProjectItemPropertiesTag = "Properties"

## Member Function Documentation

## ◆ Execute() [1/2]

override bool Zwipe.Build.Misc.DockerRemove.Execute | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Execute() [2/2]

bool Zwipe.Build.Misc.DockerRemove.Execute | ( | string | fileName,
|  | string | argument )
| private

Here is the call graph for this function:

## ◆ GetImageName()

string Zwipe.Build.Misc.DockerRemove.GetImageName | ( | ITaskItem | item | ) |
| private

Here is the caller graph for this function:

## ◆ GetRegistries()

IEnumerable< string > Zwipe.Build.Misc.DockerRemove.GetRegistries | ( | ITaskItem | item | ) |
| private

Here is the caller graph for this function:

## ◆ GetTags()

IEnumerable< string > Zwipe.Build.Misc.DockerRemove.GetTags | ( | ITaskItem | item | ) |
| private

Here is the caller graph for this function:

## ◆ OnStandardErrorReceived()

void Zwipe.Build.Misc.DockerRemove.OnStandardErrorReceived | ( | string | text | ) |
| private

Here is the caller graph for this function:

## ◆ OnStandardOutputReceived()

void Zwipe.Build.Misc.DockerRemove.OnStandardOutputReceived | ( | string | text | ) |
| private

Here is the caller graph for this function:

## ◆ Remove()

bool Zwipe.Build.Misc.DockerRemove.Remove | ( | string | fileName,
|  | string | arguments,
|  | string | image,
|  | string | properties )
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## ◆ ProjectItemPropertiesTag

const string Zwipe.Build.Misc.DockerRemove.ProjectItemPropertiesTag = "Properties"
| static private

## ◆ ProjectItemRegistriesTag

const string Zwipe.Build.Misc.DockerRemove.ProjectItemRegistriesTag = "Registries"
| static private

## ◆ ProjectItemTagsTag

const string Zwipe.Build.Misc.DockerRemove.ProjectItemTagsTag = "Tags"
| static private

## ◆ Separator

const char Zwipe.Build.Misc.DockerRemove.Separator = ';'
| static private

## ◆ SudoExecutable

const string Zwipe.Build.Misc.DockerRemove.SudoExecutable = "sudo"
| static private

## Property Documentation

## ◆ Executable

string Zwipe.Build.Misc.DockerRemove.Executable
| get set

## ◆ Images

ITaskItem [] Zwipe.Build.Misc.DockerRemove.Images
| get set

## ◆ Properties

string Zwipe.Build.Misc.DockerRemove.Properties = string.Empty
| get set

## ◆ UseSudo

bool Zwipe.Build.Misc.DockerRemove.UseSudo = false
| get set

The documentation for this class was generated from the following file:

- Zwipe.Build/Misc/DockerRemove.cs